## haskell-hxt-regex-xmlschema 9.0.4

=== test/Makefile ===
prog	= ./main

all	: $(prog)

$(prog)	: Main.hs
	ghc --make -Wall -O2 -o $@ $<

test	: $(prog)
	$(prog)

clean	:
	rm -f $(prog) *.hi *.o

.PHONY	: all test clean

=== examples/colorizeProgs/Makefile ===
all	: colorize

install	: all
	sudo cp colorize /usr/local/bin

clean	:
	rm -f *.o *.hi

distclean	: clean
		rm -f colorize

colorize	: ColorizeSourceCode.hs
		ghc -o $@ -O2 --make $<

## haskell-hxt-regex-xmlschema 9.0.0

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.0.0-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 11 Apr 2011 16:24:28 +0900

haskell-hxt-regex-xmlschema (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601833)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:29 +0900

=== debian/control ===
Source: haskell-hxt-regex-xmlschema
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-parsec3-dev,
	libghc-parsec3-prof,
	libghc-parsec3-doc,
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-regex-xmlschema-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: W3C XML Schema regular expressions library
 This is a part of Haskell XML Toolbox.
 .
 This library supports full W3C XML Schema regular expressions
 inclusive all Unicode character sets and blocks.
 The complete grammar can be found under
 <http://www.w3.org/TR/xmlschema11-2/#regexs>.
 It is implemented by the technique of derivations of regular expressions.
 The W3C syntax is extended to support not only union of regular sets,
 but also intersection, set difference, exor.
 Matching of subexpressions is also supported.
 The library can be used for constricting lightweight scanners and tokenizers.
 It is a standalone library, no external regex libraries are used.
 This package is a substitute for the old regex-xmlschema package.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc-hxt-regex-xmlschema-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: W3C XML Schema regular expressions library; profiling library
 This is a part of Haskell XML Toolbox.
 .
 This library supports full W3C XML Schema regular expressions
 inclusive all Unicode character sets and blocks.
 The complete grammar can be found under
 <http://www.w3.org/TR/xmlschema11-2/#regexs>.
 It is implemented by the technique of derivations of regular expressions.
 The W3C syntax is extended to support not only union of regular sets,
 but also intersection, set difference, exor.
 Matching of subexpressions is also supported.
 The library can be used for constricting lightweight scanners and tokenizers.
 It is a standalone library, no external regex libraries are used.
 This package is a substitute for the old regex-xmlschema package.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc-hxt-regex-xmlschema-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: W3C XML Schema regular expressions library; documentation
 This is a part of Haskell XML Toolbox.
 .
 This library supports full W3C XML Schema regular expressions
 inclusive all Unicode character sets and blocks.
 The complete grammar can be found under
 <http://www.w3.org/TR/xmlschema11-2/#regexs>.
 It is implemented by the technique of derivations of regular expressions.
 The W3C syntax is extended to support not only union of regular sets,
 but also intersection, set difference, exor.
 Matching of subexpressions is also supported.
 The library can be used for constricting lightweight scanners and tokenizers.
 It is a standalone library, no external regex libraries are used.
 This package is a substitute for the old regex-xmlschema package.
 .
 This package contains the library documentation.

=== debian/watch ===
version=3
opts=downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|  http://hackage.haskell.org/packages/archive/hxt-regex-xmlschema  ([\d\.]*\d)/

## haskell-hxt-regex-xmlschema 9.0.1

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.0.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:55:54 +0900

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 
 Package: libghc-hxt-regex-xmlschema-dev

## haskell-hxt-regex-xmlschema 9.0.4

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.0.4-5build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 13:31:40 +0100

haskell-hxt-regex-xmlschema (9.0.4-5) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:07 +0200

haskell-hxt-regex-xmlschema (9.0.4-4) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Oct 2012 16:19:23 +0200

haskell-hxt-regex-xmlschema (9.0.4-3) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:16 +0200

haskell-hxt-regex-xmlschema (9.0.4-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package 

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 12:35:56 -0400

haskell-hxt-regex-xmlschema (9.0.4-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 23:21:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-	haskell-devscripts(>=0.7),
+Build-Depends: debhelper (>= 9),
+	haskell-devscripts (>= 0.8.15),
 	cdbs,
 	ghc,
 	ghc-prof,
@@ -15,7 +15,7 @@
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 
 Package: libghc-hxt-regex-xmlschema-dev
@@ -24,7 +24,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: W3C XML Schema regular expressions library
+Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
  This library supports full W3C XML Schema regular expressions
@@ -39,7 +39,7 @@
  It is a standalone library, no external regex libraries are used.
  This package is a substitute for the old regex-xmlschema package.
  .
- This package contains the libraries compiled for GHC 6.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-regex-xmlschema-prof
 Architecture: any
@@ -47,7 +47,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: W3C XML Schema regular expressions library; profiling library
+Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
  This library supports full W3C XML Schema regular expressions
@@ -62,7 +62,7 @@
  It is a standalone library, no external regex libraries are used.
  This package is a substitute for the old regex-xmlschema package.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-regex-xmlschema-doc
 Section: doc
@@ -71,7 +71,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: W3C XML Schema regular expressions library; documentation
+Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
  This library supports full W3C XML Schema regular expressions
@@ -86,4 +86,4 @@
  It is a standalone library, no external regex libraries are used.
  This package is a substitute for the old regex-xmlschema package.
  .
- This package contains the library documentation.
+ ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hxt-regex-xmlschema-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hxt-regex-xmlschema \
    ([\d\.]*\d)/

## haskell-hxt-regex-xmlschema 9.2.0.2

=== examples/performance/Makefile ===
PKGFLAGS	=
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

CNT		= 3

ropts		= +RTS -s -RTS

prog		= ./REtest
prog2		= ./Lines
prog3		= ./RElines
prog3a		= ./SElines
prog4		= ./Words
prog5		= ./REwords
prog5a		= ./SEwords
prog0		= ./Copy

progs		= $(prog) $(prog0) $(prog2) $(prog3) $(prog3a) $(prog4) $(prog5) $(prog5a)

all		: $(progs)

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

local		:
		$(GHC) --make -o $(prog) -fglasgow-exts $(prog).hs

$(prog2)	: $(prog)
		ln -f $(prog) $(prog2)

$(prog3)	: $(prog)
		ln -f $(prog) $(prog3)

$(prog3a)	: $(prog)
		ln -f $(prog) $(prog3a)

$(prog4)	: $(prog)
		ln -f $(prog) $(prog4)

$(prog5)	: $(prog)
		ln -f $(prog) $(prog5)

$(prog5a)	: $(prog)
		ln -f $(prog) $(prog5a)

$(prog0)	: $(prog)
		ln -f $(prog) $(prog0)

# generate and read documents containing text
# with 2^i characters

tests		= 25

test		: $(prog)
		$(MAKE) genfiles   tests="$(tests)"
		$(MAKE) copy       tests="$(tests)"
		$(MAKE) lines      tests="$(tests)"
		$(MAKE) relines    tests="$(tests)"
		$(MAKE) selines    tests="$(tests)"
		$(MAKE) words      tests="$(tests)"
		$(MAKE) rewords    tests="$(tests)"
		$(MAKE) sewords    tests="$(tests)"

perftest	: $(prog)
		$(MAKE) test tests="2 3 10 11 12 13 14 15 16 17 18 19 20"

genfiles	:
		@for i in $(tests) ; \
		do \
		echo time $(prog) $(ropts) $$i ; \
		time $(prog) $(ropts) $$i ; \
		ls -l lines-*$$i.txt ; \
		echo ; \
		done

copy	:
		@for i in $(tests) ; \
		do \
		echo time $(prog0) $(ropts) $$i ; \
		time $(prog0) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.copy ; \
		echo ; \
		done

lines	:
		@for i in $(tests) ; \
		do \
		echo time $(prog2) $(ropts) $$i ; \
		time $(prog2) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.lines ; \
		echo ; \
		done

relines	:
		@for i in $(tests) ; \
		do \
		echo time $(prog3) $(ropts) $$i ; \
		time $(prog3) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.relines ; \
		echo ; \
		done

selines	:
		@for i in $(tests) ; \
		do \
		echo time $(prog3a) $(ropts) $$i ; \
		time $(prog3a) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.selines ; \
		echo ; \
		done

words	:
		@for i in $(tests) ; \
		do \
		echo time $(prog4) $(ropts) $$i ; \
		time $(prog4) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.words ; \
		echo ; \
		done

rewords	:
		@for i in $(tests) ; \
		do \
		echo time $(prog5) $$i ; \
		time $(prog5) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.rewords ; \
		echo ; \
		done

sewords	:
		@for i in $(tests) ; \
		do \
		echo time $(prog5a) $$i ; \
		time $(prog5a) $(ropts) $$i ; \
		ls -l lines-*$$i.txt.sewords ; \
		echo ; \
		done

distclean	: clean

clean		:
		rm -f $(progs) *.o *.hi *.txt *.txt.*

.PHONY		: clean distclean test perftest all local words rewords sewords lines relines selines copy genfiles

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.2.0.2-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 18:29:08 +0000

haskell-hxt-regex-xmlschema (9.2.0.2-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:38 -0500

haskell-hxt-regex-xmlschema (9.2.0.2-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:58 +0200

haskell-hxt-regex-xmlschema (9.2.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:56 +0200

haskell-hxt-regex-xmlschema (9.2.0.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 13:01:57 +0200

haskell-hxt-regex-xmlschema (9.0.4-6) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,38 @@
 Source: haskell-hxt-regex-xmlschema
-Section: haskell
-Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Priority: extra
+Section: haskell
 Build-Depends: debhelper (>= 9),
-	haskell-devscripts (>= 0.8.15),
-	cdbs,
-	ghc,
-	ghc-prof,
-	ghc-doc,
-	libghc-parsec3-dev,
-	libghc-parsec3-prof,
-	libghc-parsec3-doc,
-	libghc-hxt-charproperties-dev,
-	libghc-hxt-charproperties-prof,
-	libghc-hxt-charproperties-doc,
-Standards-Version: 3.9.4
-Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
+ haskell-devscripts (>= 0.10),
+ cdbs,
+ ghc,
+ ghc-prof,
+ libghc-hxt-charproperties-dev (>= 9),
+ libghc-hxt-charproperties-dev (<< 10),
+ libghc-hxt-charproperties-prof,
+ libghc-parsec3-dev (>= 2.1),
+ libghc-parsec3-dev (<< 4),
+ libghc-parsec3-prof,
+ libghc-text-dev (>= 0.10),
+ libghc-text-prof,
+Build-Depends-Indep: ghc-doc,
+ libghc-hxt-charproperties-doc,
+ libghc-parsec3-doc,
+ libghc-text-doc,
+Standards-Version: 3.9.6
+Homepage: http://www.haskell.org/haskellwiki/Regular_expressions_for_XML_Schema
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-hxt-regex-xmlschema-dev
 Architecture: any
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Provides: ${haskell:Provides}
+Depends: ${haskell:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
@@ -43,10 +52,12 @@
 
 Package: libghc-hxt-regex-xmlschema-prof
 Architecture: any
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Provides: ${haskell:Provides}
+Depends: ${haskell:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
@@ -65,12 +76,14 @@
  ${haskell:Blurb}
 
 Package: libghc-hxt-regex-xmlschema-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
-Provides: ${haskell:Provides}
+Depends: ${haskell:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt-regex-xmlschema/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hxt-regex-xmlschema 9.2.0.3

=== examples/colorizeProgs/Makefile ===
all	: colorize

install	: all
	sudo cp colorize /usr/local/bin

clean	:
	cabal clean

colorize:
	cabal install

.PHONY	: all install clean colorize

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.2.0.3-7build3) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:53:54 +0000

haskell-hxt-regex-xmlschema (9.2.0.3-7build2) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jul 2020 01:26:18 +0100

haskell-hxt-regex-xmlschema (9.2.0.3-7build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jun 2020 09:56:56 +0200

haskell-hxt-regex-xmlschema (9.2.0.3-7) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 12:46:59 -0400

haskell-hxt-regex-xmlschema (9.2.0.3-6) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:13 +0300

haskell-hxt-regex-xmlschema (9.2.0.3-5) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:35 +0300

haskell-hxt-regex-xmlschema (9.2.0.3-4) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:12:25 +0300

haskell-hxt-regex-xmlschema (9.2.0.3-3) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:53 -0400

haskell-hxt-regex-xmlschema (9.2.0.3-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:27 -0400

haskell-hxt-regex-xmlschema (9.2.0.3-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:00:25 -0400

haskell-hxt-regex-xmlschema (9.2.0.2-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 00:53:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,41 @@
 Source: haskell-hxt-regex-xmlschema
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ TANIGUCHI Takaki <takaki@debian.org>,
+ Clint Adams <clint@debian.org>,
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Rules-Requires-Root: no
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
+ libghc-hxt-charproperties-dev (<< 10),
  libghc-hxt-charproperties-dev (>= 9),
- libghc-hxt-charproperties-dev (<< 10),
  libghc-hxt-charproperties-prof,
- libghc-parsec3-dev (>= 2.1),
- libghc-parsec3-dev (<< 4),
- libghc-parsec3-prof,
- libghc-text-dev (>= 0.10),
- libghc-text-prof,
-Build-Depends-Indep: ghc-doc,
+Build-Depends-Indep:
+ ghc-doc,
  libghc-hxt-charproperties-doc,
- libghc-parsec3-doc,
- libghc-text-doc,
-Standards-Version: 3.9.6
+Standards-Version: 4.5.0
 Homepage: http://www.haskell.org/haskellwiki/Regular_expressions_for_XML_Schema
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt-regex-xmlschema
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt-regex-xmlschema]
 
 Package: libghc-hxt-regex-xmlschema-dev
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
@@ -52,12 +55,16 @@
 
 Package: libghc-hxt-regex-xmlschema-prof
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .
@@ -78,12 +85,16 @@
 Package: libghc-hxt-regex-xmlschema-doc
 Architecture: all
 Section: doc
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: W3C XML Schema regular expressions library${haskell:ShortBlurb}
  This is a part of Haskell XML Toolbox.
  .

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hxt-regex-xmlschema/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hxt-regex-xmlschema 9.2.0.7

=== debian/changelog ===
haskell-hxt-regex-xmlschema (9.2.0.7-4) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 05 Jan 2026 17:18:47 +0200

haskell-hxt-regex-xmlschema (9.2.0.7-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 17 Sep 2024 13:33:00 +0300

haskell-hxt-regex-xmlschema (9.2.0.7-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 28 Aug 2023 21:51:44 +0300

haskell-hxt-regex-xmlschema (9.2.0.7-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 30 Jun 2022 12:19:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-hxt-regex-xmlschema
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
  Clint Adams <clint@debian.org>,
@@ -8,19 +7,18 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ haskell-devscripts (>= 0.13),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.4),
  ghc-prof,
- haskell-devscripts (>= 0.13),
- libghc-hxt-charproperties-dev (<< 10),
  libghc-hxt-charproperties-dev (>= 9),
  libghc-hxt-charproperties-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-hxt-charproperties-doc,
-Standards-Version: 4.5.0
-Homepage: http://www.haskell.org/haskellwiki/Regular_expressions_for_XML_Schema
+Standards-Version: 4.7.0
+Homepage: https://www.haskell.org/haskellwiki/Regular_expressions_for_XML_Schema
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt-regex-xmlschema
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt-regex-xmlschema]
